]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: Add set -e.
[config/dotfiles.git] / setup.sh
index 81cca7656c7f01e28ce1b626ff18c33d045313e1..d11e1ca4139d1af465d571de9eeb8e59086111f7 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -e
+
 . ../lib.sh
 
-if [ x`os` = xdarwin ]; then
+if test x"`os`" = xdarwin; then
     # Sets a custom PATH for GUI applications.
     mkdir -p ~/.MacOSX
     link darwin/environment.plist ~/.MacOSX/environment.plist
 fi
-if [ x`os` = xdebian ]; then
+if test x"`os`" = xdebian; then
     # Necessary as aptitude rewrites the config file on every start.
     generate cat debian/aptitude/config .real
     # aptitude/config uses // as comment instead of #.